Subject: Re: pushing specific branches to a public mirror repos

From: Johannes Sixt <[email-masked]>
Date: Fri, 17 Jul 2009 10:51:06 +0200

Graeme Geldenhuys schrieb:
> I currently have the following git config setting for the remote github
> repository:
> 
> [remote "github"]
>     url = [email-masked]:graemeg/freepascal.git
>     push = +refs/remotes/*:refs/heads/*
> 
> I only want to push the "trunk" and "fixes_2_2" SubVersion branches to
> GitHub as heads. How must I change by remote.github.push config setting,
> or must I do a manual push as I do with the local tracking "master" branch.

You can have more than one push line in the config:

    push = +refs/remotes/trunk:refs/heads/trunk
    push = +refs/remotes/fixes_2_2:refs/heads/fixes_2_2

-- Hannes